//[passport](../../../index.md)/[com.yandex.passport.api](../index.md)/[PassportUserCredentials](index.md)

# PassportUserCredentials

[passport]\
interface [PassportUserCredentials](index.md)

## Functions

| Name | Summary |
|---|---|
| [getAvatarUrl](get-avatar-url.md) | [passport]<br>@Nullable<br>abstract fun [getAvatarUrl](get-avatar-url.md)(): String |
| [getEnvironment](get-environment.md) | [passport]<br>@NonNull<br>abstract fun [getEnvironment](get-environment.md)(): [PassportEnvironment](../-passport-environment/index.md) |
| [getLogin](get-login.md) | [passport]<br>@NonNull<br>abstract fun [getLogin](get-login.md)(): String |
| [getPassword](get-password.md) | [passport]<br>@NonNull<br>abstract fun [getPassword](get-password.md)(): String |

## Inheritors

| Name |
|---|
| [UserCredentials](../-user-credentials/index.md) |
